<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
include("DMMYSQLG.php");

include("DFJSISCI.inc");
?>
<html>
<head>

<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<?php

require_once("DFJQUERY.inc");
?>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script language="javascript">
$(document).ready(function(){
	$("#tbus").autocomplete('provedor.php',{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
		selectFirst:false,
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 500,           //alto del cuadro para el scroll
		formatItem:function (row, i, n, value) { //formato de presentacion de las posibles busquedas
			return "(<strong>"+row[1]+"</strong>)"+row[0];
		},	     
		formatResult:function(row){  //formato de seleccion de busqueda
			return row[0];
		},
		extraParams:{tipBus:'d'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#tbus").result(function(event, row, formatted){
		//if(!row && confirm("Articulo:'"+$(this).val()+"'\nDesea AGREGARLO?"))
			openpage("CO20600_AG.php?tap2="+$(this).val(),'_self');
		//else if(confirm("Articulo:'" +row[0]+"'\nDesea Consultar/Modificar?"))
			openpage("CO20600_MO.php?bot="+row[1],'_self');
	}).keypress (function(){
    	var evt = (evt) ? evt : event; 
    	var tecla = (evt.charCode) ? evt.charCode : ((evt.keyCode) ? evt.keyCode:((evt.which) ? evt.which : 0)); 
    	if(tecla==13){
			$(this).search();
			return false;	
		}
		return true;
	});	

});

function busca(){
	getOnLayer({
			action:'CO20600_PR-SRV.php',
			idLayer:'regBus'
		},{
			tbus:ge('tbus').value
	});
}

</script>

</head>
<body>

<div align="center">
  <form name="form1" method="post" action="">
    <table  align="center">
      <tr>
        <th>COTIZACION POR PROVEDORES  </th>
      </tr>
      
      <tr>
        <td><input name="tbus" type="text" id="tbus" onBlur="may(this)" size="50"
		<?php

			if(isset($_POST['tbus'])){ 
				echo 'value="' . $_POST['tbus'] .  '"';
			}
		?>
		/></td>
      </tr>
      <tr>
        <td><div align="center">
          <input type="button" name="Submit" value="Buscar" onClick="busca();"/>
        </div></td>
      </tr>
    </table>
  </form>
</div>
<div align="center">
<form name="frm1" id="frm1" method="post" action="">
<input name="vali" type="hidden" 
<?php
 
if (isset($_REQUEST['vali'])){
	echo ' value = "'.$_REQUEST['vali'].'"';
	$nr = $_REQUEST['vali'];
}else{
	echo ' value = "0"';
	$nr = 0;
}
$nr2 =  20;
?>
/>
<table width="854" border='1'>
      <tr>
        <th colspan="5"> <div align="left">
          <input type="button" name="bot4" value="Imprimir " onClick="openpage('CO20600_IM.php','_self')"/>
          <label></label>
          <input type="button" name="bot42" value="Exporta Exel" onClick="openpage('CO20600_IME.php','_self')"/>
          <label></label>
        </div></th>
      </tr>
      <tr>
        <th width="37"  nowrap><div align="center">Sel</div></th>
        <th width="53"  nowrap><div align="center">Clave</div></th>
		<th width="206"  nowrap><div align="center">Descripcion</div></th>
		<th width="530"  nowrap>Gramaje para Carnes
		  <div align="center"><div align="center"></div>
	        </div></th>
	  </tr>
	  
     <tr>
	  <td colspan="5" height="300"><div id="regBus"></div></td>
	</tr>
    </table>
  </form>
</div>
</body>
</html>